Bug 146707 - devel/boost-* update to 1.43
devel/boost-* update to 1.43
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Max Brazhnikov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-18 16:30 UTC by armin
Modified: 2010-06-12 00:34 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description armin 2010-05-18 16:30:05 UTC
This patch contains an update from devel/boost-* 1.41 to 1.43.

Patch: http://frozen-zone.org/ports/patch-boost.txt [1.5M]
or http://frozen-zone.org/ports/patch-boost.txt.gz [138K]
(uploaded it there due to the size)


Tinderbox Builds for 6.4, 7.3, 8.0 and 9.0 (i386 and amd64):

boost-all: http://tb.frozen-zone.org/index.php?action=describe_port&id=26
boost-python-libs: http://tb.frozen-zone.org/index.php?action=describe_port&id=31
boost-pyste: http://tb.frozen-zone.org/index.php?action=describe_port&id=34


Application using boost-libs to build for test purposes:

audio/murmur: http://tb.frozen-zone.org/index.php?action=describe_port&id=328
Comment 1 Max Brazhnikov freebsd_committer 2010-05-24 14:55:57 UTC
Maintainer of devel/boost-*,

Please note that PR ports/146707 has just been submitted.
 
If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.
 
The full text of the PR can be found at:
http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/146707
Comment 2 Max Brazhnikov freebsd_committer 2010-05-24 14:56:39 UTC
State Changed
From-To: open->feedback

Wait for maintainers feedback.
Comment 3 alexanderchuranov 2010-05-31 18:25:05 UTC
Folks,

THIS REQUIRES TESTING.

The patch looks sane.

In order to approve Boost update to 1.43, I have to verify that
dependent ports are fine with the new version. In recent years
failures of dependent ports to build or run with a newer version of
Boost were a major obstacle in updating. So then, I am going to
minimize the impact and find most of issues while testing.

I started testing update to 1.43 a week ago. I expect the process to
be completed in 1-2 weeks, if no major issues are found.

Alexander Churanov,
maintainer of devel/boost-*
Comment 4 Max Brazhnikov freebsd_committer 2010-06-01 11:54:35 UTC
On Mon, 31 May 2010 21:25:05 +0400, Alexander Churanov wrote:
> Folks,
> 
> THIS REQUIRES TESTING.
> 
> The patch looks sane.
> 
> In order to approve Boost update to 1.43, I have to verify that
> dependent ports are fine with the new version. In recent years
> failures of dependent ports to build or run with a newer version of
> Boost were a major obstacle in updating. So then, I am going to
> minimize the impact and find most of issues while testing.
> 
> I started testing update to 1.43 a week ago. I expect the process to
> be completed in 1-2 weeks, if no major issues are found.

We can request exp run for this update. It takes less then two weeks.

Max
Comment 5 alexanderchuranov 2010-06-01 16:19:11 UTC
2010/6/1 Max Brazhnikov <makc@freebsd.org>:
> We can request exp run for this update. It takes less then two weeks.
>
> Max

Max,

Thank you, I know that.
However, exp-runs usually go on schedule and there is a delay between
the actual start of the run. Additionally, it's more convenient to
investigate the issues locally.

I'll post information about the progress in this thread. I assume,
this agrees with the bug-followup intended usage.

Alexander Churanov,
maintainer of devel/boost-*
Comment 6 alexanderchuranov 2010-06-09 18:27:57 UTC
Folks,

I suggest checking in slightly different version of the patch. It may
be obtained from
http://alexanderchuranov.com/boost-port/boost-from-1.41-to-1.43_02.diff
The difference is in the order of filenames in pkg-plists, which makes
recent patch smaller and easier to review, because it contains only
changes essential to the update from the upstream. The patch also
handles removal of port patches, which were included into 1.43 and now
unnecessary in ports.

All boost-* ports were tested for correctness: it was verified that
they build, install, deinstall, etc. correctly as suggested in the
handbook.

The following ports, which directly depend on boost, were successfully
build after update:

audio/clementine-player
audio/murmur
cad/salome-kernel
databases/drizzle
deskutils/launchy
devel/crow
devel/libopkele
devel/love
devel/luabind
devel/monotone
devel/srecord
dns/powerdns
dns/powerdns-recursor
editors/xmlcopyeditor
games/alephone
games/blobby
games/flyhard
games/glob2
games/lordsawar
games/mkhexgrid
games/windstille
graphics/enblend
graphics/inkscape
graphics/panomatic
graphics/py-cgkit
graphics/py-visual
graphics/scantailor
irc/ezbounce-devel
math/cgal
net/xorp-devel
www/anyterm

The following ports fail to build both with the 1.41 version of boost
as exists in ports at present and with the updated to 1.43:

cad/salome-geom
cad/salome-gui
cad/salome-med
cad/salome-multipr
cad/salome-sierpinsky
cad/salome-smesh
cad/salome-visu
cad/salome-yacs
devel/guiloader-c++
dns/powerdns-devel
graphics/mapnik
security/botan

Since update does not change the state of directly dependent ports, I
suggest checking it in and handling port failures separately.

Alexander Churanov,
maintainer of devel/boost-*
Comment 7 Max Brazhnikov freebsd_committer 2010-06-09 18:59:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 8 Max Brazhnikov freebsd_committer 2010-06-09 19:01:05 UTC
State Changed
From-To: feedback->open

feedback received.
Comment 9 dfilter freebsd_committer 2010-06-12 00:15:40 UTC
makc        2010-06-11 23:15:26 UTC

  FreeBSD ports repository

  Modified files:
    devel/boost-all      common.mk compiled.mk 
    devel/boost-docs     distinfo pkg-plist 
    devel/boost-jam      distinfo 
    devel/boost-libs     Makefile distinfo pkg-plist 
    devel/boost-libs/files 
                           patch-boost_archive_shared_ptr_helper.hpp 
                           patch-libs_regex_build_Jamfile.v2 
    devel/boost-pyste    Makefile distinfo pkg-plist 
    devel/boost-python-libs Makefile distinfo 
  Added files:
    devel/boost-libs/files patch-boost_parameter_aux__maybe.hpp 
  Removed files:
    devel/boost-libs/files 
                           patch-boost_smart_ptr_detail_sp_counted_base_gcc_sparc.hpp 
  Log:
  Update to 1.43.0
  
  PR:             ports/146707
  Submitted by:   Armin Pirkovitsch <armin at frozen-zone.org>
  Reviewed by:    Alexander Churanov (maintainer)
  
  Revision  Changes     Path
  1.3       +1 -1       ports/devel/boost-all/common.mk
  1.2       +2 -1       ports/devel/boost-all/compiled.mk
  1.3       +3 -3       ports/devel/boost-docs/distinfo
  1.3       +1232 -679  ports/devel/boost-docs/pkg-plist
  1.3       +3 -3       ports/devel/boost-jam/distinfo
  1.5       +2 -1       ports/devel/boost-libs/Makefile
  1.3       +3 -3       ports/devel/boost-libs/distinfo
  1.2       +0 -7       ports/devel/boost-libs/files/patch-boost_archive_shared_ptr_helper.hpp
  1.1       +78 -0      ports/devel/boost-libs/files/patch-boost_parameter_aux__maybe.hpp (new)
  1.2       +0 -15      ports/devel/boost-libs/files/patch-boost_smart_ptr_detail_sp_counted_base_gcc_sparc.hpp (dead)
  1.2       +7 -7       ports/devel/boost-libs/files/patch-libs_regex_build_Jamfile.v2
  1.3       +312 -59    ports/devel/boost-libs/pkg-plist
  1.2       +4 -5       ports/devel/boost-pyste/Makefile
  1.2       +3 -3       ports/devel/boost-pyste/distinfo
  1.2       +0 -1       ports/devel/boost-pyste/pkg-plist
  1.7       +0 -5       ports/devel/boost-python-libs/Makefile
  1.3       +3 -3       ports/devel/boost-python-libs/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Max Brazhnikov freebsd_committer 2010-06-12 00:34:31 UTC
State Changed
From-To: open->closed

Committed, thanks! Alexander, I've fixed PLIST_SUB definition, so the 
ports don't need the hacks now. Make sure to sync changes, if you keep 
the ports in local repo.